Index: /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x1-losa.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x1-losa.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x1-losa.rspec	(revision 2434)
@@ -0,0 +1,26 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>AL2S atla-2-gpo ION </oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ELPA-HOUH-100GE-07749" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-JACK-100GE-07739" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-HOUH-JACK-100GE-08860" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-LOSA-PHOE-100GE-09190" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ELPA-PHOE-100GE-07750" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3950" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.losa.net.internet2.edu+e1/1" vlan="3950" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x10-wash.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x10-wash.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x10-wash.rspec	(revision 2434)
@@ -0,0 +1,23 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>AL2S atla-2-gpo ION </oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-RALE-100GE-07738" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-RALE-WASH-100GE-08888" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3950" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.wash.net.internet2.edu+e5/2" vlan="3950" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x2-atla.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x2-atla.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x2-atla.rspec	(revision 2434)
@@ -0,0 +1,26 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>AL2S atla-2-gpo ION </oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ELPA-HOUH-100GE-07749" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-JACK-100GE-07739" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-HOUH-JACK-100GE-08860" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-LOSA-PHOE-100GE-09190" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ELPA-PHOE-100GE-07750" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3950" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.losa.net.internet2.edu+e1/1" vlan="3950" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x3-chic.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x3-chic.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x3-chic.rspec	(revision 2434)
@@ -0,0 +1,22 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>AL2S atla-2-gpo ION </oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-CHIC-100GE-07740" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3950" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.chic.net.internet2.edu+e3/1" vlan="3950" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x4-clev.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x4-clev.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x4-clev.rspec	(revision 2434)
@@ -0,0 +1,24 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>AL2S atla-2-gpo ION </oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-CHIC-100GE-07740" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CHIC-STAR-100GE-07743" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CLEV-STAR-100GE-07736" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3950" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.clev.net.internet2.edu+e5/1" vlan="3950" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x5-hous.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x5-hous.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x5-hous.rspec	(revision 2434)
@@ -0,0 +1,23 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>AL2S atla-2-gpo ION </oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-JACK-100GE-07739" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-HOUH-JACK-100GE-08860" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3950" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.hous.net.internet2.edu+e15/3" vlan="3950" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x6-kans.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x6-kans.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x6-kans.rspec	(revision 2434)
@@ -0,0 +1,23 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>AL2S atla-2-gpo ION </oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-CHIC-100GE-07740" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CHIC-KANS-100GE-07745" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3950" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.kans.net.internet2.edu+e15/1" vlan="3950" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x7-newy.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x7-newy.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x7-newy.rspec	(revision 2434)
@@ -0,0 +1,24 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>AL2S atla-2-gpo ION </oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-RALE-100GE-07738" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-RALE-WASH-100GE-08888" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-NEWY32AOA-WASH-100GE-07759" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3950" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.newy32aoa.net.internet2.edu+e3/2" vlan="3950" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x8-salt.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x8-salt.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x8-salt.rspec	(revision 2434)
@@ -0,0 +1,25 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>AL2S atla-2-gpo ION </oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-CHIC-100GE-07740" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CHIC-KANS-100GE-07745" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-DENV-KANS-100GE-07746" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-DENV-SALT-100GE-07747" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3950" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.salt.net.internet2.edu+e15/1" vlan="3950" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x9-seat.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x9-seat.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/oess-atla-2-gpo-x9-seat.rspec	(revision 2434)
@@ -0,0 +1,26 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>AL2S atla-2-gpo ION </oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-CHIC-100GE-07740" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CHIC-KANS-100GE-07745" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-DENV-KANS-100GE-07746" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-DENV-SALT-100GE-07747" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-PORT-SEAT-100GE-08997" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3950" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.seat.net.internet2.edu+e1/1" vlan="3950" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x1-losa.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x1-losa.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x1-losa.rspec	(revision 2434)
@@ -0,0 +1,71 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+			   http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address=" 10.60.60.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-losa-ig-gpo">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/>
+  </link>
+
+  <stitching xmlns="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/">
+    <path id="link-losa-ig-gpo">
+      <hop id="1">
+
+          <link id="urn:publicid:IDN+ion.internet2.edu+interface+rtr.losa:et-10/0/0:al2s">
+               <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+*:*:*            </remoteLinkId>
+                <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              10000000            </capacity>
+                   <maximumReservableCapacity>              10000000            </maximumReservableCapacity>
+                    <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                     <granularity>              1000            </granularity>
+                      <switchingCapabilityDescriptor>
+                        <switchingcapType>                l2sc              </switchingcapType>
+                        <encodingType>                ethernet              </encodingType>
+                        <switchingCapabilitySpecificInfo>
+                        <switchingCapabilitySpecificInfo_L2sc>
+                        <interfaceMTU>                    9000                  </interfaceMTU>
+                        <vlanRangeAvailability>                    3950-4000                  </vlanRangeAvailability>         
+                        <vlanTranslation>                    true                  </vlanTranslation>
+                        </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                   </switchingCapabilityDescriptor>
+               </link>
+        <nextHop>2</nextHop>
+      </hop>
+      <hop id="2">
+            <link id="urn:publicid:IDN+instageni.gpolab.bbn.com+interface+procurve2:5.24">
+                  <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:ae0:bbn            </remoteLinkId>
+                  <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              1000000            </capacity>
+                  <maximumReservableCapacity>              1000000            </maximumReservableCapacity>
+                  <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                  <granularity>              1            </granularity>
+                  <switchingCapabilityDescriptor>
+                      <switchingcapType>                l2sc              </switchingcapType>
+                      <encodingType>                ethernet              </encodingType>
+                      <switchingCapabilitySpecificInfo>
+                         <switchingCapabilitySpecificInfo_L2sc>
+                            <interfaceMTU>                    9000                  </interfaceMTU>
+                            <vlanRangeAvailability>                    3747-3749,3726-3732                  </vlanRangeAvailability>
+                            <vlanTranslation>                    false                  </vlanTranslation>
+                         </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                  </switchingCapabilityDescriptor>
+              </link>
+        <nextHop>null</nextHop>
+      </hop>
+    </path>
+  </stitching>
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x10-wash.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x10-wash.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x10-wash.rspec	(revision 2434)
@@ -0,0 +1,72 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+			   http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address=" 10.60.60.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-wash-ig-gpo">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/>
+  </link>
+
+  <stitching xmlns="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/">
+    <path id="link-wash-ig-gpo">
+
+      <hop id="1">
+
+     <link id="urn:publicid:IDN+ion.internet2.edu+interface+rtr.wash:et-9/0/0:al2s">
+         <remoteLinkId>   urn:publicid:IDN+ion.internet2.edu+interface+*:*:* </remoteLinkId>
+         <trafficEngineeringMetric>   10 </trafficEngineeringMetric>
+         <capacity>   10000000 </capacity>
+         <maximumReservableCapacity>   10000000 </maximumReservableCapacity>
+         <minimumReservableCapacity>   1000 </minimumReservableCapacity>
+         <granularity>   1000 </granularity>
+         <switchingCapabilityDescriptor>
+        <switchingcapType>     l2sc   </switchingcapType>
+        <encodingType>     ethernet   </encodingType>
+        <switchingCapabilitySpecificInfo>
+        <switchingCapabilitySpecificInfo_L2sc>
+       <interfaceMTU>         9000       </interfaceMTU>
+       <vlanRangeAvailability>         3950-4000       </vlanRangeAvailability>
+       <vlanTranslation>         true       </vlanTranslation>
+        </switchingCapabilitySpecificInfo_L2sc>
+        </switchingCapabilitySpecificInfo>
+         </switchingCapabilityDescriptor>
+          </link>
+        <nextHop>2</nextHop>
+      </hop>
+      <hop id="2">
+            <link id="urn:publicid:IDN+instageni.gpolab.bbn.com+interface+procurve2:5.24">
+                  <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:ae0:bbn            </remoteLinkId>
+                  <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              1000000            </capacity>
+                  <maximumReservableCapacity>              1000000            </maximumReservableCapacity>
+                  <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                  <granularity>              1            </granularity>
+                  <switchingCapabilityDescriptor>
+                      <switchingcapType>                l2sc              </switchingcapType>
+                      <encodingType>                ethernet              </encodingType>
+                      <switchingCapabilitySpecificInfo>
+                         <switchingCapabilitySpecificInfo_L2sc>
+                            <interfaceMTU>                    9000                  </interfaceMTU>
+                            <vlanRangeAvailability>                    3747-3749,3726-3732                  </vlanRangeAvailability>
+                            <vlanTranslation>                    false                  </vlanTranslation>
+                         </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                  </switchingCapabilityDescriptor>
+              </link>
+        <nextHop>null</nextHop>
+      </hop>
+    </path>
+  </stitching>
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x2-atla.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x2-atla.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x2-atla.rspec	(revision 2434)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+			   http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address=" 10.60.60.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-atla-ig-gpo">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/>
+  </link>
+
+  <stitching xmlns="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/">
+    <path id="link-atla-ig-gpo">
+      <hop id="1">
+     <link id="urn:publicid:IDN+ion.internet2.edu+interface+rtr.atla:xe-0/3/0:al2s">
+         <remoteLinkId>   urn:publicid:IDN+*+interface+*:*:* </remoteLinkId>
+         <trafficEngineeringMetric>   10 </trafficEngineeringMetric>
+         <capacity>   10000000 </capacity>
+         <maximumReservableCapacity>   10000000 </maximumReservableCapacity>
+         <minimumReservableCapacity>   1000 </minimumReservableCapacity>
+         <granularity>   1000 </granularity>
+         <switchingCapabilityDescriptor>
+        <switchingcapType>     l2sc   </switchingcapType>
+        <encodingType>     ethernet   </encodingType>
+        <switchingCapabilitySpecificInfo>
+        <switchingCapabilitySpecificInfo_L2sc>
+       <interfaceMTU>         9000       </interfaceMTU>
+       <vlanRangeAvailability>         3950-4000       </vlanRangeAvailability>
+       <vlanTranslation>         true       </vlanTranslation>
+        </switchingCapabilitySpecificInfo_L2sc>
+        </switchingCapabilitySpecificInfo>
+         </switchingCapabilityDescriptor>
+          </link>
+        <nextHop>2</nextHop>
+      </hop>
+      <hop id="2">
+            <link id="urn:publicid:IDN+instageni.gpolab.bbn.com+interface+procurve2:5.24">
+                  <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:ae0:bbn            </remoteLinkId>
+                  <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              1000000            </capacity>
+                  <maximumReservableCapacity>              1000000            </maximumReservableCapacity>
+                  <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                  <granularity>              1            </granularity>
+                  <switchingCapabilityDescriptor>
+                      <switchingcapType>                l2sc              </switchingcapType>
+                      <encodingType>                ethernet              </encodingType>
+                      <switchingCapabilitySpecificInfo>
+                         <switchingCapabilitySpecificInfo_L2sc>
+                            <interfaceMTU>                    9000                  </interfaceMTU>
+                            <vlanRangeAvailability>                    3747-3749,3726-3732                  </vlanRangeAvailability>
+                            <vlanTranslation>                    false                  </vlanTranslation>
+                         </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                  </switchingCapabilityDescriptor>
+              </link>
+        <nextHop>null</nextHop>
+      </hop>
+    </path>
+  </stitching>
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x3-chic.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x3-chic.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x3-chic.rspec	(revision 2434)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+			   http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address=" 10.60.60.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-chic-ig-gpo">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/>
+  </link>
+
+  <stitching xmlns="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/">
+    <path id="link-chic-ig-gpo">
+      <hop id="1">
+     <link id="urn:publicid:IDN+ion.internet2.edu+interface+rtr.chic:et-10/0/0:al2s">
+         <remoteLinkId>   urn:publicid:IDN+*+interface+*:*:* </remoteLinkId>
+         <trafficEngineeringMetric>   10 </trafficEngineeringMetric>
+         <capacity>   10000000 </capacity>
+         <maximumReservableCapacity>   10000000 </maximumReservableCapacity>
+         <minimumReservableCapacity>   1000 </minimumReservableCapacity>
+         <granularity>   1000 </granularity>
+         <switchingCapabilityDescriptor>
+        <switchingcapType>     l2sc   </switchingcapType>
+        <encodingType>     ethernet   </encodingType>
+        <switchingCapabilitySpecificInfo>
+        <switchingCapabilitySpecificInfo_L2sc>
+       <interfaceMTU>         9000       </interfaceMTU>
+       <vlanRangeAvailability>         3950-4000       </vlanRangeAvailability>
+       <vlanTranslation>         true       </vlanTranslation>
+        </switchingCapabilitySpecificInfo_L2sc>
+        </switchingCapabilitySpecificInfo>
+         </switchingCapabilityDescriptor>
+          </link>
+        <nextHop>2</nextHop>
+      </hop>
+      <hop id="2">
+            <link id="urn:publicid:IDN+instageni.gpolab.bbn.com+interface+procurve2:5.24">
+                  <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:ae0:bbn            </remoteLinkId>
+                  <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              1000000            </capacity>
+                  <maximumReservableCapacity>              1000000            </maximumReservableCapacity>
+                  <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                  <granularity>              1            </granularity>
+                  <switchingCapabilityDescriptor>
+                      <switchingcapType>                l2sc              </switchingcapType>
+                      <encodingType>                ethernet              </encodingType>
+                      <switchingCapabilitySpecificInfo>
+                         <switchingCapabilitySpecificInfo_L2sc>
+                            <interfaceMTU>                    9000                  </interfaceMTU>
+                            <vlanRangeAvailability>                    3747-3749,3726-3732                  </vlanRangeAvailability>
+                            <vlanTranslation>                    false                  </vlanTranslation>
+                         </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                  </switchingCapabilityDescriptor>
+              </link>
+        <nextHop>null</nextHop>
+      </hop>
+    </path>
+  </stitching>
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x4-clev.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x4-clev.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x4-clev.rspec	(revision 2434)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+			   http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address=" 10.60.60.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-clev-ig-gpo">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/>
+  </link>
+
+  <stitching xmlns="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/">
+    <path id="link-clev-ig-gpo">
+      <hop id="1">
+     <link id="urn:publicid:IDN+ion.internet2.edu+interface+rtr.clev:et-5/0/0:al2s">
+         <remoteLinkId>   urn:publicid:IDN+*+interface+*:*:* </remoteLinkId>
+         <trafficEngineeringMetric>   10 </trafficEngineeringMetric>
+         <capacity>   10000000 </capacity>
+         <maximumReservableCapacity>   10000000 </maximumReservableCapacity>
+         <minimumReservableCapacity>   1000 </minimumReservableCapacity>
+         <granularity>   1000 </granularity>
+         <switchingCapabilityDescriptor>
+        <switchingcapType>     l2sc   </switchingcapType>
+        <encodingType>     ethernet   </encodingType>
+        <switchingCapabilitySpecificInfo>
+        <switchingCapabilitySpecificInfo_L2sc>
+       <interfaceMTU>         9000       </interfaceMTU>
+       <vlanRangeAvailability>         3950-4000       </vlanRangeAvailability>
+       <vlanTranslation>         true       </vlanTranslation>
+        </switchingCapabilitySpecificInfo_L2sc>
+        </switchingCapabilitySpecificInfo>
+         </switchingCapabilityDescriptor>
+          </link>
+        <nextHop>2</nextHop>
+      </hop>
+      <hop id="2">
+            <link id="urn:publicid:IDN+instageni.gpolab.bbn.com+interface+procurve2:5.24">
+                  <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:ae0:bbn            </remoteLinkId>
+                  <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              1000000            </capacity>
+                  <maximumReservableCapacity>              1000000            </maximumReservableCapacity>
+                  <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                  <granularity>              1            </granularity>
+                  <switchingCapabilityDescriptor>
+                      <switchingcapType>                l2sc              </switchingcapType>
+                      <encodingType>                ethernet              </encodingType>
+                      <switchingCapabilitySpecificInfo>
+                         <switchingCapabilitySpecificInfo_L2sc>
+                            <interfaceMTU>                    9000                  </interfaceMTU>
+                            <vlanRangeAvailability>                    3747-3749,3726-3732                  </vlanRangeAvailability>
+                            <vlanTranslation>                    false                  </vlanTranslation>
+                         </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                  </switchingCapabilityDescriptor>
+              </link>
+        <nextHop>null</nextHop>
+      </hop>
+    </path>
+  </stitching>
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x5-hous.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x5-hous.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x5-hous.rspec	(revision 2434)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+			   http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address=" 10.60.60.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-hous-ig-gpo">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/>
+  </link>
+
+  <stitching xmlns="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/">
+    <path id="link-hous-ig-gpo">
+      <hop id="1">
+   <link id="urn:publicid:IDN+ion.internet2.edu+interface+rtr.hous:xe-0/1/3:al2s">
+      <remoteLinkId>   urn:publicid:IDN+ion.internet2.edu+interface+*:*:* </remoteLinkId>
+      <trafficEngineeringMetric>   10 </trafficEngineeringMetric>
+      <capacity>   10000000 </capacity>
+      <maximumReservableCapacity>   10000000 </maximumReservableCapacity>
+      <minimumReservableCapacity>   1000 </minimumReservableCapacity>
+      <granularity>   1000 </granularity>
+      <switchingCapabilityDescriptor>
+         <switchingcapType>     l2sc   </switchingcapType>
+         <encodingType>     ethernet   </encodingType>
+         <switchingCapabilitySpecificInfo>
+         <switchingCapabilitySpecificInfo_L2sc>
+          <interfaceMTU>         9000       </interfaceMTU>
+          <vlanRangeAvailability>         3950-4000       </vlanRangeAvailability>
+         <vlanTranslation>         true       </vlanTranslation>
+          </switchingCapabilitySpecificInfo_L2sc>
+         </switchingCapabilitySpecificInfo>
+       </switchingCapabilityDescriptor>
+       </link>
+        <nextHop>2</nextHop>
+      </hop>
+      <hop id="2">
+            <link id="urn:publicid:IDN+instageni.gpolab.bbn.com+interface+procurve2:5.24">
+                  <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:ae0:bbn            </remoteLinkId>
+                  <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              1000000            </capacity>
+                  <maximumReservableCapacity>              1000000            </maximumReservableCapacity>
+                  <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                  <granularity>              1            </granularity>
+                  <switchingCapabilityDescriptor>
+                      <switchingcapType>                l2sc              </switchingcapType>
+                      <encodingType>                ethernet              </encodingType>
+                      <switchingCapabilitySpecificInfo>
+                         <switchingCapabilitySpecificInfo_L2sc>
+                            <interfaceMTU>                    9000                  </interfaceMTU>
+                            <vlanRangeAvailability>                    3747-3749,3726-3732                  </vlanRangeAvailability>
+                            <vlanTranslation>                    false                  </vlanTranslation>
+                         </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                  </switchingCapabilityDescriptor>
+              </link>
+        <nextHop>null</nextHop>
+      </hop>
+    </path>
+  </stitching>
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x6-kans.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x6-kans.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x6-kans.rspec	(revision 2434)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+			   http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address=" 10.60.60.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-kans-ig-gpo">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/>
+  </link>
+
+  <stitching xmlns="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/">
+    <path id="link-kans-ig-gpo">
+      <hop id="1">
+     <link id="urn:publicid:IDN+ion.internet2.edu+interface+rtr.kans:xe-0/0/3:al2s">
+         <remoteLinkId>   urn:publicid:IDN+ion.internet2.edu+interface+*:*:* </remoteLinkId>
+         <trafficEngineeringMetric>   10 </trafficEngineeringMetric>
+         <capacity>   10000000 </capacity>
+         <maximumReservableCapacity>   10000000 </maximumReservableCapacity>
+         <minimumReservableCapacity>   1000 </minimumReservableCapacity>
+         <granularity>   1000 </granularity>
+         <switchingCapabilityDescriptor>
+        <switchingcapType>     l2sc   </switchingcapType>
+        <encodingType>     ethernet   </encodingType>
+        <switchingCapabilitySpecificInfo>
+        <switchingCapabilitySpecificInfo_L2sc>
+       <interfaceMTU>         9000       </interfaceMTU>
+       <vlanRangeAvailability>         3950-4000       </vlanRangeAvailability>
+       <vlanTranslation>         true       </vlanTranslation>
+        </switchingCapabilitySpecificInfo_L2sc>
+        </switchingCapabilitySpecificInfo>
+         </switchingCapabilityDescriptor>
+          </link>
+        <nextHop>2</nextHop>
+      </hop>
+      <hop id="2">
+            <link id="urn:publicid:IDN+instageni.gpolab.bbn.com+interface+procurve2:5.24">
+                  <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:ae0:bbn            </remoteLinkId>
+                  <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              1000000            </capacity>
+                  <maximumReservableCapacity>              1000000            </maximumReservableCapacity>
+                  <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                  <granularity>              1            </granularity>
+                  <switchingCapabilityDescriptor>
+                      <switchingcapType>                l2sc              </switchingcapType>
+                      <encodingType>                ethernet              </encodingType>
+                      <switchingCapabilitySpecificInfo>
+                         <switchingCapabilitySpecificInfo_L2sc>
+                            <interfaceMTU>                    9000                  </interfaceMTU>
+                            <vlanRangeAvailability>                    3747-3749,3726-3732                  </vlanRangeAvailability>
+                            <vlanTranslation>                    false                  </vlanTranslation>
+                         </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                  </switchingCapabilityDescriptor>
+              </link>
+        <nextHop>null</nextHop>
+      </hop>
+    </path>
+  </stitching>
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x7-newy.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x7-newy.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x7-newy.rspec	(revision 2434)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+			   http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address=" 10.60.60.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-newy-ig-gpo">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/>
+  </link>
+
+  <stitching xmlns="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/">
+    <path id="link-newy-ig-gpo">
+      <hop id="1">
+     <link id="urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:et-5/0/0:al2s">
+         <remoteLinkId>   urn:publicid:IDN+ion.internet2.edu+interface+*:*:* </remoteLinkId>
+         <trafficEngineeringMetric>   10 </trafficEngineeringMetric>
+         <capacity>   10000000 </capacity>
+         <maximumReservableCapacity>   10000000 </maximumReservableCapacity>
+         <minimumReservableCapacity>   1000 </minimumReservableCapacity>
+         <granularity>   1000 </granularity>
+         <switchingCapabilityDescriptor>
+        <switchingcapType>     l2sc   </switchingcapType>
+        <encodingType>     ethernet   </encodingType>
+        <switchingCapabilitySpecificInfo>
+        <switchingCapabilitySpecificInfo_L2sc>
+       <interfaceMTU>         9000       </interfaceMTU>
+       <vlanRangeAvailability>         3950-4000       </vlanRangeAvailability>
+       <vlanTranslation>         true       </vlanTranslation>
+        </switchingCapabilitySpecificInfo_L2sc>
+        </switchingCapabilitySpecificInfo>
+         </switchingCapabilityDescriptor>
+          </link>
+        <nextHop>2</nextHop>
+      </hop>
+      <hop id="2">
+            <link id="urn:publicid:IDN+instageni.gpolab.bbn.com+interface+procurve2:5.24">
+                  <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:ae0:bbn            </remoteLinkId>
+                  <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              1000000            </capacity>
+                  <maximumReservableCapacity>              1000000            </maximumReservableCapacity>
+                  <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                  <granularity>              1            </granularity>
+                  <switchingCapabilityDescriptor>
+                      <switchingcapType>                l2sc              </switchingcapType>
+                      <encodingType>                ethernet              </encodingType>
+                      <switchingCapabilitySpecificInfo>
+                         <switchingCapabilitySpecificInfo_L2sc>
+                            <interfaceMTU>                    9000                  </interfaceMTU>
+                            <vlanRangeAvailability>                    3747-3749,3726-3732                  </vlanRangeAvailability>
+                            <vlanTranslation>                    false                  </vlanTranslation>
+                         </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                  </switchingCapabilityDescriptor>
+              </link>
+        <nextHop>null</nextHop>
+      </hop>
+    </path>
+  </stitching>
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x8-salt.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x8-salt.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x8-salt.rspec	(revision 2434)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+			   http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address=" 10.60.60.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-salt-ig-gpo">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/>
+  </link>
+
+  <stitching xmlns="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/">
+    <path id="link-salt-ig-gpo">
+      <hop id="1">
+     <link id="urn:publicid:IDN+ion.internet2.edu+interface+rtr.salt:xe-0/1/1:al2s">
+         <remoteLinkId>   urn:publicid:IDN+ion.internet2.edu+interface+*:*:* </remoteLinkId>
+         <trafficEngineeringMetric>   10 </trafficEngineeringMetric>
+         <capacity>   10000000 </capacity>
+         <maximumReservableCapacity>   10000000 </maximumReservableCapacity>
+         <minimumReservableCapacity>   1000 </minimumReservableCapacity>
+         <granularity>   1000 </granularity>
+         <switchingCapabilityDescriptor>
+        <switchingcapType>     l2sc   </switchingcapType>
+        <encodingType>     ethernet   </encodingType>
+        <switchingCapabilitySpecificInfo>
+        <switchingCapabilitySpecificInfo_L2sc>
+       <interfaceMTU>         9000       </interfaceMTU>
+       <vlanRangeAvailability>         3950-4000       </vlanRangeAvailability>
+       <vlanTranslation>         true       </vlanTranslation>
+        </switchingCapabilitySpecificInfo_L2sc>
+        </switchingCapabilitySpecificInfo>
+         </switchingCapabilityDescriptor>
+          </link>
+        <nextHop>2</nextHop>
+      </hop>
+      <hop id="2">
+            <link id="urn:publicid:IDN+instageni.gpolab.bbn.com+interface+procurve2:5.24">
+                  <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:ae0:bbn            </remoteLinkId>
+                  <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              1000000            </capacity>
+                  <maximumReservableCapacity>              1000000            </maximumReservableCapacity>
+                  <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                  <granularity>              1            </granularity>
+                  <switchingCapabilityDescriptor>
+                      <switchingcapType>                l2sc              </switchingcapType>
+                      <encodingType>                ethernet              </encodingType>
+                      <switchingCapabilitySpecificInfo>
+                         <switchingCapabilitySpecificInfo_L2sc>
+                            <interfaceMTU>                    9000                  </interfaceMTU>
+                            <vlanRangeAvailability>                    3747-3749,3726-3732                  </vlanRangeAvailability>
+                            <vlanTranslation>                    false                  </vlanTranslation>
+                         </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                  </switchingCapabilityDescriptor>
+              </link>
+        <nextHop>null</nextHop>
+      </hop>
+    </path>
+  </stitching>
+</rspec>
Index: /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x9-seat.rspec
===================================================================
--- /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x9-seat.rspec	(revision 2434)
+++ /trunk/OESSRSpecs/al2s-ion-cross/stitch-ig-gpo-al2s-x9-seat.rspec	(revision 2434)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+			   http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address=" 10.60.60.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-seat-ig-gpo">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0" />
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/>
+  </link>
+
+  <stitching xmlns="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/">
+    <path id="link-seat-ig-gpo">
+      <hop id="1">
+     <link id="urn:publicid:IDN+ion.internet2.edu+interface+rtr.seat:et-5/0/0:al2s">
+         <remoteLinkId>   urn:publicid:IDN+ion.internet2.edu+interface+*:*:* </remoteLinkId>
+         <trafficEngineeringMetric>   10 </trafficEngineeringMetric>
+         <capacity>   10000000 </capacity>
+         <maximumReservableCapacity>   10000000 </maximumReservableCapacity>
+         <minimumReservableCapacity>   1000 </minimumReservableCapacity>
+         <granularity>   1000 </granularity>
+         <switchingCapabilityDescriptor>
+        <switchingcapType>     l2sc   </switchingcapType>
+        <encodingType>     ethernet   </encodingType>
+        <switchingCapabilitySpecificInfo>
+        <switchingCapabilitySpecificInfo_L2sc>
+       <interfaceMTU>         9000       </interfaceMTU>
+       <vlanRangeAvailability>         3950-4000       </vlanRangeAvailability>
+       <vlanTranslation>         true       </vlanTranslation>
+        </switchingCapabilitySpecificInfo_L2sc>
+        </switchingCapabilitySpecificInfo>
+         </switchingCapabilityDescriptor>
+          </link>
+        <nextHop>2</nextHop>
+      </hop>
+      <hop id="2">
+            <link id="urn:publicid:IDN+instageni.gpolab.bbn.com+interface+procurve2:5.24">
+                  <remoteLinkId>              urn:publicid:IDN+ion.internet2.edu+interface+rtr.newy:ae0:bbn            </remoteLinkId>
+                  <trafficEngineeringMetric>              10            </trafficEngineeringMetric>
+                  <capacity>              1000000            </capacity>
+                  <maximumReservableCapacity>              1000000            </maximumReservableCapacity>
+                  <minimumReservableCapacity>              1000            </minimumReservableCapacity>
+                  <granularity>              1            </granularity>
+                  <switchingCapabilityDescriptor>
+                      <switchingcapType>                l2sc              </switchingcapType>
+                      <encodingType>                ethernet              </encodingType>
+                      <switchingCapabilitySpecificInfo>
+                         <switchingCapabilitySpecificInfo_L2sc>
+                            <interfaceMTU>                    9000                  </interfaceMTU>
+                            <vlanRangeAvailability>                    3747-3749,3726-3732                  </vlanRangeAvailability>
+                            <vlanTranslation>                    false                  </vlanTranslation>
+                         </switchingCapabilitySpecificInfo_L2sc>
+                      </switchingCapabilitySpecificInfo>
+                  </switchingCapabilityDescriptor>
+              </link>
+        <nextHop>null</nextHop>
+      </hop>
+    </path>
+  </stitching>
+</rspec>
